Jump to content
  • Sky
  • Blueberry
  • Slate
  • Blackcurrant
  • Watermelon
  • Strawberry
  • Orange
  • Banana
  • Apple
  • Emerald
  • Chocolate
  • Charcoal
jibeh

TS2020 Joystick & Raildriver Interface

Recommended Posts

Gandalf    1,663

Bonjour,

 

Je dépoussière mon raildriver, la version 1.02 de cette boite à outils est sortie. Je vais faire des essais. j'ai essayé quelques trains avec le soft "de base" MW 3.1, ça avait l'air de pas trop mal marcher à part une dead zone de la throttle assez ennuyeuse avec des sauts directs de 0 à 15% par exemple, alors qu'à la souris possible de régler finement.

Share this post


Link to post
Share on other sites
Gandalf    1,663

Bon ben c'est pas gagné... je n'arrive à rien, bien que j'aie suivi scrupuleusement le mode d'emploi.... si qqun a un retour...

Et quand je ferme TS, j'ai un panneau d'erreur comme quoi l'appli raildriver interface a généré une erreur dans .net Framework (sont tous installés et à jour).

Edited by Gandalf

Share this post


Link to post
Share on other sites
Gandalf    1,663

J'ai posté dans le post ad hoc sur ukts, je donnerai des nouvelles ici. Je n'abandonne pas, j'aime ce contrôleur et je trouve que ça participe vraiment à l'immersion. Par contre avec le soft officiel, assez peu de trains fonctionnent correctement au final. Je suis prêt à y passer du temps pour l'utiliser sur les trains de la Koeblitzer Bergland par exemple, que j'adore.

 

Edit: en parcourant les 8 pages de post sur le sujet, j'ai trouvé... le programme n'est pas encore localisé pour les Windows non-anglais. Il suffit d'aller dans le panneau de configuration et changer le signe décimal de , en . et ça fonctionne direct et parfaitement. Un pur bonheur cet autorail de la Koeblitzer avec le raildriver! Je sens que je vais bien m'amuser.

Edited by Gandalf

Share this post


Link to post
Share on other sites
jibeh    2,510

Je partage ton avis

Je préfère 50% qui fonctionne parfaitement à 0%

les touches elles, fonctionnent toujours, même après des années, je ne m'en lasse pas,

j'ai aussi essayé le pad.... suis vite revenu en arrière.

 

La petite dernière de vR, par exemple , la G6 fonctionne à merveille avec !

Il y a de temps a autre de très bonnes surprises

Et la vitesse est toujours affichée et parfaitement, un luxe, ( ou l'essentiel ) !?

 

J'avoue ne pas avoir gratté avec cette nouvelle interface...

Edited by jibeh

Share this post


Link to post
Share on other sites
Gandalf    1,663

Bon, premier problème, le frein ne marche pas avec la F59PHI Amtrak de la Pacific Surfliner, et pour cause, cf screenshot, il manque la variable dans ce qu'envoie l'interface à TS2015. Je pense que le pb se situe dans le script d'interface mais pour l'instant je ne touche pas.

 

Par contre rien à voir, mais c'est normal qu'au début sur UKTS il faille attendre la validation d'un modo pour le moindre post? Là ça fait 24H que j'ai posté et il n'est tj pas apparu.

 

Edit: solution donnée par l'auteur du programme, il faut entrer manuellement "0,1" dans "Range Values" de "Train Brake" dans l'édition du keymapper. Ceci force le programme à écrire le TrainBrakeControl dans le fichier de sortie et ça marche nickel. De plus ça semble ne pas perturber les autres locos qui marchaient avec le keymapper par défaut.

Ce programme est vraiment incontournable pour tout possesseur de Raildriver.

F59PHI.jpg

Edited by Gandalf

Share this post


Link to post
Share on other sites
Gandalf    1,663

Version 2 released

 

Ici: http://www.trainsimdev.com/forum/downloads.php?view=detail&df_id=124

This is a major update to automate the extraction of all data and editing of all the engine script files with the press of one button.

Changes made:-
Data Extractor & Engine Script Editor (Replaced)
1. Now combined into one program (Railworks Editor) that automates the process so that the clicking of one button will
1. unzip all AP files
2. Extract the engine.bin and Inputmapper data
3. Extract the locations of the engine scripts to edit and edit the scripts
4. There is also the option to select a single asset to extract
5. There is no longer a need to install 7zip
See the Railworks Editor Readme.pdf inside the Railworks Editor folder for instructions on using the new software

 

TS2015 Raildriver Interface
1. Added extra controls names (these will be placed in a text file for easy editing in the next release so you can add them yourself without having to wait for a new release)
2. When you assign a button in the Edit Keymap, if the button is already assigned then that assignment is removed to stop one key sending more than one command.
3. Moved supplied 'keymaps' to 'keyMaps_Supplied' folder and only copy them to keymaps folder if the keymaps folder does not exist as in first time use. This stops your keymaps being overwritten when you update to a newer version.
4. Set the culture to InvariantCulture which should fix the problem of non english languages having to change their decimal symbol from comma to full stop. As yet untested.

Railworks_Getdata_Script.lua
1. Added extra control names
2. You can now use the keyboard or Raildriver levers at the same time
3. Updated script to only send changed values rather than values all the time. Speeds up execution.

Calculator Notch Values
1. Extended the Max/Min ranges so values less than -1 and greater than 1 can be input.
2. Added button to copy values to clipboard for pasting into TS2015 Raildriver Interface.

Engine_Script_Location.pdf/xls
1. Removed as no longer needed

TS2015 Interface Readme.pdf/doc
1. Updated to reflect changes in data extraction.
2. Added quick setup section.

 

Pour une raison qui m'échappe, la sélection manuelle dans le programme du path d'installation où est RailWorks.exe ne fonctionne pas. Il faut donc l'ajouter à la main dans le settings.txt de l'éditeur, tout comme le settings.txt du programme d'interface lui-même, attention cependant la syntaxe est différente, dans celui de l'éditeur c'est RailWorksPath=...., dans celui de l'interface c'est une * à la place du = donc RailworksPath*....

Une fois ce détail réglé, c'est du pur bonheur, il décompresse les .ap nécessaires, scanne tous les répertoires de locos et patche tous les scripts automatiquement. En gros en 3 clics toutes vos locos sont patchées et marchent avec le Raildriver!

Edited by Gandalf

Share this post


Link to post
Share on other sites
Gandalf    1,663

Tiens, on dirait que l'éditeur du Raildriver se réveille, après plusieurs années de léthargie?.... sur le papier , ça semble bien, à suivre....

 

Greetings RailDriver list members.

With two popular train simulations on the verge of major updates, we find this a very exciting time for rail sim fans. Here at RailDriver we have been in close contact with members of the development teams from both Tranz a New Era (T.A.N.E.) from N3V Games, and Train Simulator 2015 (TS) from Dovetail Games.

Understanding all of the difficulty in releasing new software, we have received news from the T.A.N.E. team that their initial release will not have RailDriver compatibility. We continue to work with them to ensure a patch providing RailDriver compatibility will be released soon after the T.A.N.E. launch.

Our evaluation of the new code for the update of TS 2015 looks very promising. If all goes well, you will see the best ever integration between RailDriver and TS and will have a more immersive experience with this version than with any previous RailWorks or Train Simulator releases.

  • Like 1

Share this post


Link to post
Share on other sites
jeanpierrem    4,364

salut

 

oh la bonne nouvelle :) :) :) :)

 

JP

 

et encore pas trop a me plaindre ça marche pas trop mal

Edited by jeanpierrem

Share this post


Link to post
Share on other sites
Gandalf    1,663

Pour info je viens de passer en 51.2a, aucun problème avec le programme, j'ai tout repatché avec l'éditeur juste au cas où (même pas sûr que c'était nécessaire), ça fonctionne nickel.

Share this post


Link to post
Share on other sites
Gandalf    1,663

Et 51.6a OK aussi avec les quelques locos testées ici. Bientôt une nouvelle version du programme d'interface, qui a priori ne nécessitera même plus de patcher tous les scripts des locos grâce à de nouvelles fonctionnalités implémentées dans la dll raildriver.... à suivre.

Share this post


Link to post
Share on other sites
Gandalf    1,663

Ahh, nouvelle intéressante ce matin:

 

RaildDriver Update

New software for Train Simulator 2015 by Dovetail Games.


The latest update of Train Simulator included improved features for RailDriver and we are now releasing a beta version of our MacroWorks for RailDriver software to take advantage of the new release. The initial results have been very positive and we are now seeking additional beta testers.

Please visit this page to learn more and download the software: http://raildriver.com/support/TrainSimulatorBeta.php

- Team RailDriver

 

 

Je m'y colle de suite!

Share this post


Link to post
Share on other sites
Gandalf    1,663

Oui, bon, un coup d'épée dans l'eau. J'ai essayé l'ICE3M et l'ES64U4, aucune des 2 ne marche correctement. Le raildriver interface est donc encore utile jusqu'à nouvel ordre....

Share this post


Link to post
Share on other sites
Sprague    18

Salut Gandalf ,

 

Pourrais tu expliquer comment configurer ce logiciel ?

Merci

 

William

Share this post


Link to post
Share on other sites
Jeannot41    170

Oui, bon, un coup d'épée dans l'eau. J'ai essayé l'ICE3M et l'ES64U4, aucune des 2 ne marche correctement. Le raildriver interface est donc encore utile jusqu'à nouvel ordre....

Tu voulais surement dire INUTILE :) ;)

Share this post


Link to post
Share on other sites
Gandalf    1,663

Tu voulais surement dire INUTILE :) ;)

 

Non, utile, je confirme, le raildriver interface c'est le programme de Cobraone qui marche dans tous les cas justement, le programme de P.I. Engineering s'appelle MacroWorks.

Edited by Gandalf

Share this post


Link to post
Share on other sites
Gandalf    1,663

Salut Gandalf ,

 

Pourrais tu expliquer comment configurer ce logiciel ?

 

Merci

 

William

 

Bonjour,

 

Je dirais RTFM :) La version 2.0 est simple à mettre en oeuvre, une fois installée lancer le Railworks Editor et cliquer sur extract all, il fera tout automatiquement. Ensuite il ne reste plus qu'à lancer le programme lui même, la première fois faire une calibration, ensuite juste cliquer sur "start callback" puis lancer TS2015 et jouer. Quelques locos nécessitent des ajustements mais c'est assez rare, la plupart fonctionnent directement. Voir les posts précédents.

Si tu ajoutes des locos par la suite, l'editor peut aussi faire par répertoire, pas besoin de tout rebalayer.

Edited by Gandalf

Share this post


Link to post
Share on other sites
Gandalf    1,663

Alors, update du jour: au final il y a bien une très nette amélioration avec la nouvelle version beta de Macro Works 3.1. Le truc c'est qu'il faut complètement désinstaller l'ancienne version, y compris un effacement manuel des fichiers de config dans (user...)\Appdata\Local\PI Engineering

Une fois ça fait, ça marche nickel même avec l'ICE 3M et l'ES64 qui ne fonctionnaient pas du tout avec la version précédente.

 

Reste à en tester plus pour voir si le programme de CobraOne a encore un intérêt du coup.

Share this post


Link to post
Share on other sites
Gandalf    1,663

Nouvelle beta de MacroWorks synchro avec la mise à jour de TS:

RaildDriver Update v2

New software for Train Simulator 2015 by Dovetail Games.

Dovetail Games has just released a patch for Train Simulator which restores the improved features for RailDriver. You can once again download a beta version of our MacroWorks for RailDriver software to take advantage of the new release.

Matt Peddlesden will feature a segment on setting up RailDriver to work with the new features on his Twitch stream starting at 8:30 GMT tonight (http://twitch.tv/mattpeddlesden). If you miss the live stream, you can still see the recording on Matt’s Youtube channel (http://youtube.com/c/mattpeddlesden).

Please visit this page to learn more and download the software: http://raildriver.com/support/TrainSimulatorBeta.php

- Team RailDriver

 

En fait c'est toujours la 1.1.1.74, et je confirme que ça marche très bien avec la 52.2a

  • Like 1

Share this post


Link to post
Share on other sites
caramel88    989

Bonjour,

 

La question a été partiellement évoquée ci-dessus. Néanmoins, je la repose en d'autres termes et en l'illustrant par un exemple concret.

 

Le Raildriver fonctionne parfaitement avec la version 1.1.1.74 de MacroWorks et la version 52.2a de TS. Du moins avec les locos de base.

 

En ce qui concerne la class 66, tous les leviers et boutons du Raildriver sont utilisables sauf la manette de frein de train qui a un comportement bizarre.

 

En effet, elle fait bien bouger, à l'écran, la position de la manette correspondante en cabine mais ne déclenche pas l'injection ou l'éviction de l'air dans les conduites (l'aiguille du manomètre ne bouge pas).

 

A noter que le frein loco fonctionne parfaitement.

 

J'ai donc programmé, comme suggéré par Jibeh, les touches up et down de la croix du Raildriver de manière à les associer aux touches clavier ù et $ pour contrôler le frein de train.

 

Lorsqu'on appuie sur les touches up et down de la croix, tout fonctionne à merveille.

 

Si l'on place la manette de frein de train du Raildriver en position EMG (emergency) après freinage avec la touche up de la croix et que l'on fait passer cette même manette de la position ENG vers la position REL ... tout fonctionne parfaitement (les freins se relâchent).

 

Par contre, IMPOSSIBLE d'appliquer les freins avec la manette si on la fait passer de la position REL vers les positions SUP-CS-EMG.

 

Je me pose donc la question de savoir ce qui explique que cela fonctionne dans un sens et pas dans l'autre (ce n'est pas le Raildriver qui est en cause puisque ladite manette marche très bien avec la class 101 par exemple).

 

Même problème avec la class 456 de AP.

 

Doit-on y voir un problème de script ou une simple incompatibilité malheureusement inévitable ?

 

Merci pour vos éclaircissements.

 

A +

Edited by caramel88

Share this post


Link to post
Share on other sites
Gandalf    1,663

Hello,

 

Vais tester dès que possible voir si le problème est reproductible ici.

Share this post


Link to post
Share on other sites
caramel88    989

Merci à toi. Plus curieux encore : depuis l'installation du sound pack de AP, la traction est commandable grâce à l'inverseur du Raildriver et le frein de train grâce au frein de loco. Par contre, aucune manette ne commande plus l'inverseur et le frein de loco. Youpee !

 

:P

Share this post


Link to post
Share on other sites
Gandalf    1,663

Re,

 

Alors la Class 66 marche parfaitement ici, y compris le frein de train. Je pense que tu as le même pb que j'ai eu avec la 1.1.1.74 et que j'ai signalé à PI Engineering, et qu'en fait tu crois utiliser cette version mais tu utilises encore le script de la 1.1.1.42. En effet, l'installation de la 1.1.1.74 n'écrase pas le contenu du répertoire C:\users\$user\AppData\Local\Pi Engineering et donc le script qui est au coeur de MacroWorks, et la désinstallation de l'ancienne version n'efface pas ce répertoire non plus.

 

Désinstalle MacroWorks. Efface manuellement tout ce répertoire. Réinstalle la 1.1.1.74... et ça devrait aller.

Edited by Gandalf

Share this post


Link to post
Share on other sites

×